de.esprit.common.log

## Class SimpleLogSupportAdapter

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.SimpleLogSupportAdapter

- All Implemented Interfaces:
    SimpleLogSupport, Dumpable
  Direct Known Subclasses:
    AbstractProjectResource, BinaryDataReader, BinaryDataWrapperStore, BinaryDataWriter, ByteBufferWrapper, CheckLicense, IOClientMessageConnection, IOClientRequestConnection, ProcessingQueue, XmlDataCollector

      public class SimpleLogSupportAdapter
      extends DumpableObject
      implements SimpleLogSupport

  This adapter provides support for logging to a particular LogChannel.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SimpleLogSupportAdapter()`
    `` | `SimpleLogSupportAdapter(ApplicationContext ctx, java.lang.Object caller)` Used for direct instantiation
    `protected` | `SimpleLogSupportAdapter(LogChannel logCh)`
    `` | `SimpleLogSupportAdapter(LogChannel logCh, java.lang.Object caller)` Used for direct instantiation
    `protected` | `SimpleLogSupportAdapter(SimpleLogSupport logger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LogChannel` | `getLogChannel()`
    `boolean` | `isLogDebug()`
    `boolean` | `isLogVerbose()`
    `void` | `logDebug(java.lang.String message)`
    `void` | `logDump(java.lang.String message)`
    `void` | `logError(java.lang.String message)`
    `void` | `logError(java.lang.String message, java.lang.Exception e)`
    `void` | `logFatal(java.lang.String message, java.lang.Exception e)`
    `void` | `logInfo(java.lang.String message)`
    `void` | `logVerbose(java.lang.String message)`
    `void` | `logWarning(java.lang.String message)`
    `void` | `setLogChannel(LogChannel logCh)`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleLogSupportAdapter

          protected SimpleLogSupportAdapter()

    - #### SimpleLogSupportAdapter

          protected SimpleLogSupportAdapter(LogChannel logCh)

    - #### SimpleLogSupportAdapter

          protected SimpleLogSupportAdapter(SimpleLogSupport logger)

    - #### SimpleLogSupportAdapter

          public SimpleLogSupportAdapter(LogChannel logCh,
                                 java.lang.Object caller)

      Used for direct instantiation

    - #### SimpleLogSupportAdapter

          public SimpleLogSupportAdapter(ApplicationContext ctx,
                                 java.lang.Object caller)

      Used for direct instantiation

  - ### Method Detail

    - #### getLogChannel

          public LogChannel getLogChannel()

      Specified by:
        `getLogChannel` in interface `SimpleLogSupport`

    - #### setLogChannel

          public void setLogChannel(LogChannel logCh)

      Specified by:
        `setLogChannel` in interface `SimpleLogSupport`

    - #### isLogDebug

          public boolean isLogDebug()

      Specified by:
        `isLogDebug` in interface `SimpleLogSupport`

    - #### isLogVerbose

          public boolean isLogVerbose()

      Specified by:
        `isLogVerbose` in interface `SimpleLogSupport`

    - #### logFatal

          public void logFatal(java.lang.String message,
                      java.lang.Exception e)

      Specified by:
        `logFatal` in interface `SimpleLogSupport`

    - #### logError

          public void logError(java.lang.String message,
                      java.lang.Exception e)

      Specified by:
        `logError` in interface `SimpleLogSupport`

    - #### logError

          public void logError(java.lang.String message)

      Specified by:
        `logError` in interface `SimpleLogSupport`

    - #### logWarning

          public void logWarning(java.lang.String message)

      Specified by:
        `logWarning` in interface `SimpleLogSupport`

    - #### logInfo

          public void logInfo(java.lang.String message)

      Specified by:
        `logInfo` in interface `SimpleLogSupport`

    - #### logVerbose

          public void logVerbose(java.lang.String message)

      Specified by:
        `logVerbose` in interface `SimpleLogSupport`

    - #### logDebug

          public void logDebug(java.lang.String message)

      Specified by:
        `logDebug` in interface `SimpleLogSupport`

    - #### logDump

          public void logDump(java.lang.String message)

      Specified by:
        `logDump` in interface `SimpleLogSupport`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.